from vtk import *

reader = vtkJPEGReader()
reader.SetFileName("c:/texture.jpg")

texture = vtkTexture()
texture.SetInput(reader.GetOutput())

plane = vtkPlaneSource()

mapper = vtkPolyDataMapper()
mapper.SetInput(plane.GetOutput())

actor = vtkActor()
actor.SetMapper(mapper)
actor.SetTexture(texture)

try:
   cassandra.getPipeLineManager().addActor(actor, "actor")
except:
   print "No Cassandra"
   
   


